Analysez, extrayez et normalisez les horodatages des journaux à l'aide de plugins natifs ou d'extension dédiés au traitement du temps.
Exemple d'effet du plugin
Comparaison des données brutes des journaux dans SLS avec et sans le plugin d'analyse temporelle (natif).
Journal brut | Sans plugin | Plugin d'analyse temporelle (natif) |
Horodatage à la seconde près : | Contenu : "{"level":"INFO","timestamp":"2025-09-29T09:56:01+0800","cluster":"yilu-cluster-0728","message":"User logged in successfully","userId":"user-123"}" |
|
Horodatage à la milliseconde près : | Contenu : "{"time":"2026-01-05T11:58:40,647Z", "filename":"out_data.py","levelname": "INFO", "threadName":"MainThread"}" |
|
Horodatage à la nanoseconde près : | Contenu : "{"time": "2026-01-05T11:40:22,298837465Z07:00","filename":"out_data.py","levelname":"INFO","threadName": "MainThread"}" |
|
Plugins de traitement temporel
SLS propose les plugins de traitement temporel suivants.
|
Nom |
Type |
Description |
|
analyse temporelle |
natif |
Analyse et normalise le champ temporel des journaux. |
|
extraction de l'heure du journal |
extension |
Analyse le champ temporel brut et le définit comme horodatage du journal. |
Point d'entrée
Pour utiliser un plugin Logtail afin de traiter les journaux, ajoutez-le lors de la création ou de la modification d'une configuration Logtail. Pour plus d'informations, consultez Vue d'ensemble.
Différences entre les plugins natifs et d'extension
Plugins natifs : implémentés en C++ pour des performances supérieures.
Plugins d'extension : implémentés en Go pour offrir un écosystème plus riche et flexible. Utilisez les plugins d'extension lorsque les plugins natifs ne peuvent pas gérer votre format de journal.
-
Limites de performance des plugins d'extension
Les plugins d'extension consomment davantage de ressources (principalement le CPU). Ajustez si nécessaire les paramètres LoongCollector dans la section gestion de la configuration.
Si le volume de données brutes dépasse 5 Mo/s, évitez les combinaisons complexes de plugins. Privilégiez un plugin d'extension simple et déléguez le traitement ultérieur à la fonctionnalité Data Transformation.
-
Limites liées à la collecte des journaux
Les plugins d'extension traitent les journaux textuels en mode ligne. Cela signifie que les métadonnées au niveau du fichier, telles que
__tag__:__path__et__topic__, sont stockées dans chaque entrée de journal.-
L'ajout d'un plugin d'extension affecte les fonctionnalités liées aux tags :
La requête contextuelle et LiveTail deviennent indisponibles sauf si vous ajoutez une configuration d'agrégateurs.
Le champ
__topic__est renommé en__log_topic__. Lorsque vous ajoutez la configuration des agrégateurs, le journal contient à la fois les champs__topic__et__log_topic__. Si vous n'avez pas besoin du champ__log_topic__, vous pouvez utiliser le plugin de suppression de champ pour le supprimer.Les champs tels que
__tag__:__path__perdent leur index de champ natif. Vous devez créer un index pour ces champs.
Plugin d'analyse temporelle (natif)
Analyse le champ temporel d'un journal et attribue le résultat au champ __time__.
Configuration
Paramètre | Description |
Original Field | Champ contenant le contenu du journal à analyser. Par défaut : content. Remarque Lors de l'utilisation du plugin d'analyse par expression régulière, définissez le champ source sur time et incluez time comme champ extrait dans votre configuration regex. |
Time Format | Format de l'horodatage dans le journal. Par exemple, si l'horodatage est 10/Sep/2023:12:36:49, le format temporel correspondant est %d/%b/%Y:%H:%M:%S. |
Time Zone | Fuseau horaire de l'horodatage dans le journal. Si ce champ est laissé vide, le plugin utilise le fuseau horaire de la machine sur laquelle Logtail s'exécute. |
Par défaut, Simple Log Service traite les horodatages avec une précision à la seconde. Il suffit de configurer le format temporel jusqu'à la seconde ; vous pouvez omettre les unités inférieures telles que les millisecondes ou les microsecondes. Pour conserver la précision en millisecondes, microsecondes ou nanosecondes, activez la précision nanoseconde comme indiqué ci-dessous. Consultez la rubrique Collecte de journaux prenant en charge les horodatages en nanosecondes.
Journal brut | Configuration du plugin d'analyse temporelle | Format temporel |
| Dans la boîte de dialogue de configuration du Processing Plugin, définissez le Processing Plugin Type sur Time Parsing, le Source Field sur | %Y-%m-%dT%H:%M:%S,%f |
Pour activer la précision nanoseconde :
Sur la page de configuration Logtail, accédez à , activez Advanced Parameters et saisissez :
{
"EnableTimestampNanosecond": true
}
Activez également EnableTimestampNanosecond lorsque vous utilisez des plugins d'extension pour analyser des horodatages avec une précision en nanosecondes ou en millisecondes.
Plugin d'extraction de l'heure du journal
Utilisez processor_gotime ou processor_strptime pour analyser le champ temporel des journaux bruts.
Pour préserver la précision infra-secondaire, consultez la rubrique Collecte de journaux prenant en charge les horodatages en nanosecondes.
Format d'heure Go (processor_gotime)
Format d'heure Strptime (processor_strptime)
Formats d'horodatage des journaux
Pour connaître les formats d'heure pris en charge par processor_gotime , consultez la page Constantes du package time Go. Le plug-in natif processor_parse_timestamp_native et le plug-in d'extension processor_strptime prennent en charge les formats répertoriés ci-dessous.
Sur un serveur Linux, Logtail prend en charge tous les formats d'heure fournis par la fonction strftime.
|
Format |
Description |
Example |
|
%a |
Nom abrégé du jour de la semaine. |
Fri |
|
%A |
Nom complet du jour de la semaine. |
Friday |
|
%b |
Nom abrégé du mois. |
Jan |
|
%B |
Nom complet du mois. |
January |
|
%d |
Jour du mois sous forme décimale complétée par des zéros (01-31). |
07, 31 |
|
%f |
Secondes fractionnaires, telles que les millisecondes, les microsecondes ou les nanosecondes. |
123 |
|
%h |
Nom abrégé du mois. Identique à %b. |
Jan |
|
%H |
Heure (format 24 heures) sous forme décimale complétée par des zéros (00-23). |
22 |
|
%I |
Heure (format 12 heures) sous forme décimale complétée par des zéros (01-12). |
11 |
|
%m |
Mois sous forme décimale complétée par des zéros (01-12). |
08 |
|
%M |
Minute sous forme décimale complétée par des zéros (00-59). |
59 |
|
%n |
Saut de ligne. |
saut de ligne |
|
%p |
AM ou PM. |
AM, PM |
|
%r |
Heure au format 12 heures. Identique à %I:%M:%S %p. |
11:59:59 AM |
|
%R |
Heure et minute au format 24 heures. Identique à %H:%M. |
23:59 |
|
%S |
Seconde sous forme décimale complétée par des zéros (00-59). |
59 |
|
%t |
Caractère de tabulation. |
Aucun |
|
%y |
Année sans le siècle sous forme décimale complétée par des zéros (00-99). |
04, 98 |
|
%Y |
Année avec le siècle sous forme décimale. |
2004, 1998 |
|
%C |
Siècle sous forme décimale (00-99). |
16 |
|
%e |
Jour du mois sous forme décimale complétée par des espaces (1-31). |
7, 31 |
|
%j |
Jour de l'année sous forme décimale complétée par des zéros (001-366). |
365 |
|
%u |
Jour de la semaine sous forme décimale, où lundi correspond à 1 (1-7). |
2 |
|
%U |
Numéro de la semaine de l'année, avec dimanche comme premier jour de la semaine (00-53). |
23 |
|
%V |
Numéro de la semaine ISO 8601 de l'année, avec lundi comme premier jour de la semaine (01-53). La semaine 1 est la première semaine de l'année contenant au moins quatre jours. |
24 |
|
%w |
Jour de la semaine sous forme décimale, où dimanche correspond à 0 (0-6). |
5 |
|
%W |
Numéro de la semaine de l'année, avec lundi comme premier jour de la semaine (00-53). |
23 |
|
%c |
Représentation locale de la date et de l'heure. |
Tue Nov 20 14:12:58 2020 |
|
%x |
Représentation locale de la date. |
Tue Nov 20 2020 |
|
%X |
Représentation locale de l'heure. |
11:59:59 |
|
%s |
Horodatage Unix. |
1476187251 |
Exemples
Normes temporelles courantes et leurs expressions correspondantes :
|
Example |
Expression |
Standard |
|
2017-12-11 15:05:07 |
%Y-%m-%d %H:%M:%S |
Personnalisé |
|
[2017-12-11 15:05:07.012] |
[%Y-%m-%d %H:%M:%S.%f] |
Personnalisé |
|
2017-12-11 15:05:07.123 |
%Y-%m-%d %H:%M:%S.%f |
Personnalisé |
|
02 Jan 06 15:04 MST |
%d %b %y %H:%M %Z |
RFC822 |
|
02 Jan 06 15:04 -0700 |
%d %b %y %H:%M %z |
RFC822Z |
|
Monday, 02-Jan-06 15:04:05 MST |
%A, %d-%b-%y %H:%M:%S %Z |
RFC850 |
|
Mon, 02 Jan 2006 15:04:05 MST |
%a, %d %b %Y %H:%M:%S %Z |
RFC1123 |
|
2006-01-02T15:04:05Z07:00 |
%Y-%m-%dT%H:%M:%S%z |
RFC3339 |
|
2006-01-02T15:04:05.999999999Z07:00 |
%Y-%m-%dT%H:%M:%S.%f%z |
RFC3339Nano |
|
1637843406 |
%s |
Personnalisé |
|
1637843406123 |
%s |
Personnalisé (Simple Log Service tronque les horodatages à la précision de la seconde) |
Documents connexes
-
API de configuration du pipeline Logtail :
-
Configuration des plug-ins via la console :


